<html><body>
<h2>The Select Tool</h2>

<h4>Overview</h4>
Whyteboard has a Select tool, which is used to manipulate already-drawn shapes.
<hr>

<p>Moving the mouse over a drawn shape will change the cursor to indicate different actions.</p>

<p>Clicking "inside" a shape will select it: handles are drawn at the shape's edges.
This helps to see the actions to perform.</p><br /><br />

<ul>
 <li><b>Hand</b>: The shape may be moved. Holding the mouse will allow you to reposition the shape.</li>
 <li><b>Multiple Arrows</b>: Used by the Polygon and Line tools, this shows a point may be repositioned anywhere</li>
 <li><b>Diagonal Arrow</b>: Shape may be resized in any direction, the opposite corner is "anchored"</li>
 <li><b>Vertical Double-ended Arrow</b>: Shape may be resized vertically, no changes will be made horizontally</li>
 <li><b>Horizontal Double-ended Arrow</b>: Shape may be resized horizontally, no changes will be made vertically</li>
 <li><b>Rotate Icon</b>: Shape may be rotated.
</ul>

<p>Items selected with the select tool can be deleted, by pressing the Delete key, from the Toolbar or the Shapes menu.</p>
<p>A shape's position in the "drawing order" can also be adjusted by selecting it, and using the items in the Shapes menu,
or the shortcut keys ctrl+up/down. Using ctrl+shift moves the shape to the top or bottom of the order.</p>

<p>When you select an item with the Select tool, it is brought to the front of the list temporarily.<br />
When you deselect, draw or select a new shape, the old shape is drawn back in its correct position.</p>

<p>A shape will be de-selected when:</p>

<ul>
<li>New shape is drawn</li>
<li>Different shape is selected</li>
<li>Shapes->Deselect menu item (or Ctrl-D)</li>
<li>The escape key is pressed</li>
</ul>


<h4>Images</h4>
<p>With an image shape, the diagonal arrows will scale the image, adjusting its size. There will be a green handle
drawn in the middle of the image, which can be used to rotate the image around its center point.</p>

<h4>Moving Selected Shapes</h4>
<p>Using the Up/Down/Left/Right keyboard arrow keys when a shape is moved will move it. Keep the key held in to move the
shape continiously.</p>

<p>When you move a shape towards the edge of the canvas, it will automatically scroll the canvas in the direction you are
dragging to. This helps you move a shape around the canvas easily.</p>
</body></html>
